Name:          rtkit
Version:       0.11
Release:       %mkrel 11
Summary:       Realtime Policy and Watchdog Daemon
Group:         System/Libraries
License:       GPLv3+ and BSD
URL:           http://git.0pointer.de/?p=rtkit.git
Requires:      polkit >= 0.93
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
BuildRequires: dbus-devel >= 1.2
BuildRequires: libcap-devel
BuildRequires: polkit-1-devel
BuildRequires: systemd-units
Source0:       http://0pointer.de/public/%{name}-%{version}.tar.xz
Patch1:           rtkit-mq_getattr.patch
Patch2:        0001-SECURITY-Pass-uid-of-caller-to-polkit.patch
Patch3:        rtkit-controlgroup.patch

%description
RealtimeKit is a D-Bus system service that changes the
scheduling policy of user processes/threads to SCHED_RR (i.e. realtime
scheduling mode) on request. It is intended to be used as a secure
mechanism to allow real-time scheduling to be used by normal user
processes.

%prep
%setup -q
%apply_patches

%build
autoreconf -fvi
%configure2_5x --with-systemdsystemunitdir=%{_unitdir}
%make_build
./rtkit-daemon --introspect > org.freedesktop.RealtimeKit1.xml

%install
%make_install
install -Dm0644 org.freedesktop.RealtimeKit1.xml %{buildroot}%{_datadir}/dbus-1/interfaces/org.freedesktop.RealtimeKit1.xml


%post
%systemd_post rtkit-daemon.service
dbus-send --system --type=method_call --dest=org.freedesktop.DBus / org.freedesktop.DBus.ReloadConfig >/dev/null 2>&1 || :

%pre
%_pre_useradd rtkit /proc /sbin/nologin

%preun
%systemd_preun rtkit-daemon.service

%postun
%systemd_postun
%_postun_userdel rtkit

%files
%doc README rtkit.c rtkit.h
%attr(0755,root,root) %{_sbindir}/rtkitctl
%attr(0755,root,root) %{_libexecdir}/rtkit-daemon
%{_datadir}/dbus-1/system-services/org.freedesktop.RealtimeKit1.service
%{_datadir}/dbus-1/interfaces/org.freedesktop.RealtimeKit1.xml
%{_datadir}/polkit-1/actions/org.freedesktop.RealtimeKit1.policy
%{_mandir}/man*/rtkitctl.*
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.RealtimeKit1.conf
%{_unitdir}/rtkit-daemon.service


%changelog
* Fri May 13 2016 tv <tv> 0.11-11.mga6
+ Revision: 1015031
- patch needs autoreconf
- use FC patch for linking issue
- fix doble %%postun
- use std systemd macros
- make dbus interface file non-executable (rhbz#1245938)
- use std build macro

* Mon Feb 08 2016 umeabot <umeabot> 0.11-9.mga6
+ Revision: 950473
- Mageia 6 Mass Rebuild

* Tue Nov 04 2014 colin <colin> 0.11-8.mga5
+ Revision: 795587
- Fix systemd unit file warnings (sadly rtkit is a bit broken generally for now tho')

* Wed Oct 15 2014 umeabot <umeabot> 0.11-7.mga5
+ Revision: 742974
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.11-6.mga5
+ Revision: 688732
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.11-5.mga4
+ Revision: 536088
- Mageia 4 Mass Rebuild

* Sun Sep 22 2013 colin <colin> 0.11-4.mga4
+ Revision: 483252
- Make polkit usage secure (mga#11260 CVE-2013-4326)

* Mon Jan 14 2013 luigiwalser <luigiwalser> 0.11-3.mga3
+ Revision: 381207
- explicitly link rt library to fix compilation error

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon May 28 2012 colin <colin> 0.11-1.mga3
+ Revision: 248477
- New version: 0.11

* Sat Apr 28 2012 colin <colin> 0.10-3.mga2
+ Revision: 234092
- Ensure we build the systemd unit
- Enable systemd units.

  + tmb <tmb>
    - Require rpm-helper >= 0.24.8-1 for systemd support

* Sun Jun 19 2011 kharec <kharec> 0.10-1.mga2
+ Revision: 109770
- fix file list
- new version 0.10

* Thu Jan 13 2011 colin <colin> 0.8-1.mga1
+ Revision: 16452
- imported package rtkit

